CH_OPEN_MEMORY(3)

FUNCTION
ch_open_memory - Open a memory channel.

SYNOPSIS
#include <karma_ch.h>

Channel ch_open_memory

(char *buffer, unsigned int size)

DESCRIPTION
This routine will open a memory channel. A memory channel behaves like a disc channel with a limited (specified) file (device) size. Data is undefined when reading before writing has occurred.

buffer
    The buffer to use. If this is NULL, the routine will allocate a buffer of the specified size which is automatically deallocated upon closure of the channel.

size
    The size of the buffer to allocate.

RETURN VALUE
A channel object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/